Bug 1479284 - "hammer host-collection list --host" produce error 500 - undefined method `order'
"hammer host-collection list --host" produce error 500 - undefined method `or...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Collections (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Beta
: --
Assigned To: Brad Buckingham
Nikhil Kathole
: Regression, Triaged
: 1486186 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 05:08 EDT by Stanislav Tkachenko
Modified: 2018-02-21 12:06 EST (History)
5 users (show)

See Also:
Fixed In Version: katello-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 12:06:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20580 None None None 2017-08-14 08:28 EDT

  None (edit)
Comment 3 Brad Buckingham 2017-08-09 09:24:35 EDT
This issue will also affect users that list out host collections on an activation key via the UI.
Comment 5 Brad Buckingham 2017-08-14 08:27:57 EDT
Created redmine issue http://projects.theforeman.org/issues/20580 from this bug
Comment 6 pm-sat@redhat.com 2017-08-21 16:12:14 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20580 has been resolved.
Comment 7 Nikhil Kathole 2017-09-03 03:33:30 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 14

steps:
1. Created host collection
2. Created host
3. Added host to host collection
4. listed host collection filtering by host

Successfully listed the host collection.
Comment 9 Brad Buckingham 2017-09-21 11:48:57 EDT
*** Bug 1486186 has been marked as a duplicate of this bug. ***
Comment 10 Bryan Kearney 2018-02-21 12:06:00 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.